/***************************************************************************
                     interface_net.h  -  client connexion for GUI
                             -------------------
    begin                : Mon Aug 14 2000
    copyright            : (C) 2000 by Franois Dupoux
    email                : fdupoux@partimage.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef INTERFACE_NET_H
#define INTERFACE_NET_H

#include "global.h"
#include "netclient.h"
#include "errors.h"
#include "messages.h"

//#include <pthread.h>

// ================================================
class CInterfaceNet: public CNetClient // : public CImageBase
{
 public:
  CInterfaceNet(BOOL bUseSSL/*COptions * options, BOOL bUseSSL*/);
  ~CInterfaceNet();
  
 private:
  //pthread_mutex_t m_mutexNetwork; // lock the buffer while working inside it
  //pthread_mutexattr_t m_mutexNetworkAttr;
  
 private:
  void lock(int n);
  void unlock();

 public:
  void Connect(/*COptions * options, char * login, char * passwd, */char *szServerName, WORD wServerPort);

  void set_options(COptions options);
  void set_param(WORD wOperation, char *szDevice, char *szImageFile, char *szImageFile2);
  void set_description(char *szPartDescription);
  void set_message(DWORD number);
  void set_message(DWORD number, DWORD size);

  //BOOL get_bIsOpened();
  //char * get_szImageFilename();
  //char * get_szOriginalFilename();
  //char * get_szPath();
  
 private:
  //CMessages *mess;
  //CNetClient *m_netcl;
  CMessages m_msg;
  
 public:
  // read/write
  //void write(void *vBuf, DWORD dwLength, int *nResult);
  //DWORD read(void *buf, DWORD dwLength); // return 0 if error, or read bytes
  
  // open/close
  //void openWriting();
  //void openReading();
  //void close();
  //int mountImageLocation(char *, char *, char *);
  //int umountImageLocation(char *);
  
  // misc
  //void getFreeSpace(QWORD * qw_AvailDiskSpace);
  //BOOL doesFileExists(char *szPath);
  //void getDiskFreeSpaceForFile(QWORD *qwFreeSpace, char *szFilepath);
  //void getFileSize(QWORD *qwFileSpace, char *szFilepath);
  //void Connect(COptions *, char *, char *, char *, int);
  //int getCompressionLevelForImage(char *szFilename);
  
};

#endif // INTERFACE_NET_J
