/***************************************************************************
                         pipushbutton.h  -  description
                             -------------------
    begin                : Wed Sep  4 19:21:54 UTC 2002
    copyright            : (C) 2002 by Francois Dupoux
    email                : fdupoux@partimage.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _PIPUSHBUTTON_H
#define _PIPUSHBUTTON_H

#include <qpushbutton.h>

#include "piguicqtdoc.h"

#define MARGINX 4
#define MARGINY 4
#define TOUR    5

//------------------------------------------------
class COkButton: public QPushButton
{
 public:
  COkButton(QWidget * parent, const char * name=0);
  ~COkButton();    
};

//------------------------------------------------
class CCancelButton: public QPushButton
{
 public:
  CCancelButton(QWidget * parent, const char * name=0);
  ~CCancelButton();    
};

//------------------------------------------------
class CPiPushButton : public QPushButton
{
  Q_OBJECT

    public:
  CPiPushButton(CPartInfo info, QWidget *parent);
  QSizePolicy sizePolicy() const  { return QSizePolicy( QSizePolicy::Preferred, QSizePolicy::Preferred ); }
  QSize sizeHint() const { return QSize( 32, 32 ); }
  QSize minimumSizeHint() const { return QSize( 10, 10 ); }

 protected:
  void	drawButtonLabel(QPainter *);

 private:
  CPartInfo m_info;
};

#endif // _PIPUSHBUTTON_H
