/***************************************************************************
                          fs_base.h  -  description
                             -------------------
    begin                : Sun Mar 04 2001
    copyright            : (C) 2001 by Franck Ladurelle
    email                : ladurelf@partimage.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _FS_WORK_H_
#define _FS_WORK_H_

#include "fs_base.h"

// ================================================
/*class CFSWork: CFSBase
{
 public: // defined in CFSBase
  CFSWork(char *szDevice, FILE *fDeviceFile, QWORD qwPartSize);
  virtual ~CFSWork();
*/
  int saveUsedBlocksToImageFile(CFSBase *fs, COptions *options, CPiTimer *timer);
  int restoreUsedBlocksToDisk(CFSBase *fs, COptions *options, CPiTimer *timer);

  int saveToImage(CFSBase *fs, CImage *image, COptions *options, CSavingWindow *gui, CPiTimer *timer);
  int restoreFromImage(CFSBase *fs, CImage *image, COptions *options, CRestoringWindow *gui, CPiTimer *timer);

  //int getStdInfos(char *szDest, int nMaxLen, bool bShowBlocksInfo);
  //int readData(void *cBuffer, QWORD qwOffset, DWORD dwLength);
  //int calculateSpaceFromBitmap();

  //void setSuperBlockInfos(BOOL bCheckSuperBlockUsedSize, BOOL bCheckSuperBlockFreeSize, 
//			  QWORD qwSuperBlockUsedSize, QWORD qwSuperBlockFreeSize, BOOL bCanBeMore=false);
//  int checkBitmapInfos();
//  CLocalHeader getGeneralInformations();

/* private:
  QWORD m_qwSuperBlockUsedSize;  
  QWORD m_qwSuperBlockFreeSize; 
  BOOL m_bCheckSuperBlockUsedSize;
  BOOL m_bCheckSuperBlockFreeSize;
  BOOL m_bCanBeMore;
  CSavingWindow *m_guiSave;
  CRestoringWindow *m_guiRestore;
*/
/* public: // defined in CFSXXXXX
  virtual void printfInformations() = 0;
  virtual int readBitmap()=0;
  virtual int readSuperBlock()=0;
  virtual int fsck()=0;
  virtual void *getInfos()=0;
 
 public: //private:
  CImage *m_image;
  CBlocksUseBitmap m_bitmap;
  QWORD m_qwPartSize;

  // ex: "/dev/hdc5"
  char m_szDevice[MAX_DEVICENAMELEN+1];

  CLocalHeader m_header; // general infos (block count, block size, used space, ...)
  
  // File descriptors
  FILE *m_fDeviceFile;
*/
//};

#endif // _FS_BASE_H_
