/***************************************************************************
                            cerror.cpp  -  description
                             -------------------
    begin                : Wed Sep  4 19:21:54 UTC 2002
    copyright            : (C) 2002 by Francois Dupoux
    email                : fdupoux@partimage.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <string.h>
#include <stdlib.h>
#include <stdarg.h>

#include "global.h"
#include "result.h"

//------------------------------------------------
CResult::CResult() // success
{
   m_dwError = RESULT_SUCCESS;
   memset(m_szError, 0, sizeof(m_szError));
   //m_szError = NULL;
}

//------------------------------------------------
CResult::CResult(char *fmt, ...) // success
{
   va_list args;
   char szTemp[4096];
   int nLen;

   m_dwError = RESULT_ERROR;
   va_start(args, fmt);
   vsprintf(szTemp, fmt, args);
   nLen = strlen(szTemp);
   
   //m_szError = (char*)malloc(nLen+2);
   //snprintf(m_szError, nLen+1, "%s", szTemp);

   snprintf(m_szError, sizeof(m_szError), "%s", szTemp);
   
   va_end(args);
}

//------------------------------------------------
void CResult::setError(char *szError)
{
   //int nLen = strlen(szError);

   //m_szError = (char*)malloc(nLen+2);
   //snprintf(m_szError, nLen+1, "%s", szError);
   snprintf(m_szError, sizeof(m_szError), "%s", szError);
}

//------------------------------------------------
CResult::~CResult()
{
   /*if (m_szError)
      free(m_szError);*/
}

