/***************************************************************************
                         server.cpp  -  description
                             -------------------
    begin                : Wed Sep  4 19:21:54 UTC 2002
    copyright            : (C) 2002 by Francois Dupoux
    email                : fdupoux@partimage.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _OPERATIONS_H
#define _OPERATIONS_H

#include "global.h"
#include "format.h"
#include "result.h"

class CNewNet;

void operationPiSave(CNewNet *net);
void operationPiRestore(CNewNet *net);
void operationPiCopy(CNewNet *net);
void operationFormat(CNewNet *net);
void operationPartedNewLabel(CNewNet *net);
void operationPartedCreate(CNewNet *net);
void operationPartedDelete(CNewNet *net);
CResult partedPartNewLabel(char *szDevice);
CResult partedPartDelete(char *szDevice, DWORD dwMinor, BOOL bProcess);
CResult partitionFormat(char *szDevice, char *szFs, char *szLabel);
CResult partedPartCreate(char *szDevice, DWORD dwType, DWORD dwStartSect, DWORD dwEndSect, char *szNewName, int nMaxNewNameLen);

int locateProgram(char *szResultPath, char *szBin);
int execProgram(char *szProgram, char *argv[], char *szOutput, int nMaxOutput);

#endif // _OPERATIONS_H
