define({PARTGUI_TEXT},
{{ 
<p><span class="sectionr">How to compile the partgui source code: </span>
   You will need many libraries to compile the source code:<br>
   First, you need to install <a href="http://e2fsprogs.sourceforge.net/">e2fsprogs</a>,
   with its libraries (./configure --prefix=/usr && make && make install && make install-libs).<br>
   Then, parted needs <a href="ftp://ftp.exinferis.de/reiserfs/libreiserfs/">libreiserfs</a>.
   Next, install <a href="http://www.gnu.org/software/parted/parted.html">GNU Parted 1.6.x</a>.</p>

<p>You also need Qt-3.0.5 or newer from trolltech (X11 of Embedded edition).
   First, you have to define the QTDIR environment variable well.</p>
  
<p>If you have several Qt version installed, redefine QTDIR to the version
   to use. For example: <b>export QTDIR=/opt/qt-embedded-free-3.0.5</b> to use the 
   embedded version.<br>
   Once partgui is extracted, run <b>./configure</b>. Here are the <b>./configure</b> 
   options to use:<br> 
   If your Qt edition is multi-thread (you have such a file: $QTDIR/lib/libqte-mt.so.3.0.5), 
   you will have to add <b>--enable-mt</b>, else add <b>--disable-mt</b> (you have such 
   a file: $QTDIR/lib/libqte.so.3.0.5). If you use Qt-embedded under the Frame Buffer you have 
   to compile with <b>--enable-embedded.</b><br>
   Then, type <b>make &amp;&amp; make install</b>, as root.</p>

<p><span class="sectionr">Running PartGui: </span>
   The name of the binary file to run is: <b>piguicqt</b><br>
   You don't have to add options <b>-qws</b> under Frame Buffer. 
   If you want to speed up the startup, and you don't need space usage informations
   about partition, you can type: <b>piguicqt -D</b></p>

<p><span class="sectionr">Dependencies problems: </span>
   You may have problems when running PartGUI, if you use the
   compiled version. PartGUI needs a lot of libraries, and if they are not
   installed, you will have to do. You can type <b>ldd piguicqt</b> if 
   you want to have the list of required libraries.</p>
}})
