/***************************************************************************
                      args.h  -  arguments of the command line
                             -------------------
    begin                : Wed Mar 14 2001
    copyright            : (C) 2001 by Franck Ladurelle
    email                : ladurelf@partimage.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ARGS_H_
#define _ARGS_H_

#include "global.h"

extern char *optarg;
extern int optind;
extern int opterr;

struct COptions;

void initOptions(COptions *options);
int processCommandLine(int argc, char **argv, COptions *options, BOOL *bStartServer, char *szServerName, WORD *wServerPort);

void formatUsage(char * szText, int nMaxLen);

#endif // _ARGS_H_
