/***************************************************************************
                            cerror.h  -  description
                             -------------------
    begin                : Wed Sep  4 19:21:54 UTC 2002
    copyright            : (C) 2002 by Francois Dupoux
    email                : fdupoux@partimage.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __RESULT_H_
#define __RESULT_H_

#define RESULT_ERROR    1
#define RESULT_SUCCESS  0

//------------------------------------------------
class CResult
{
 public:
  CResult(); // success
  CResult(char *fmt, ...); // error
  ~CResult();

 public:
  s32 getResult() {return m_dwError;}
  char *getError() {return m_szError;}
  void setResult(u32 dwError) {m_dwError = dwError;}
  void setError(char *szError);

 protected:
  u32 m_dwError;
  //char *m_szError;
  char m_szError[2048];
};

#endif // __RESULT_H_
