/***************************************************************************
                        endianess.cpp  -  description
                             -------------------
    begin                : Sun May  6 15:18:11 CEST 2001
    copyright            : (C) 2001 by Francois Dupoux
    email                : fdupoux@partimage.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <stdio.h>
#include <string.h>

#define DWORD unsigned long int
#define BYTE unsigned char

// ========================================
void showNumber(DWORD dwNb, char *szTxt)
{
  BYTE *cData;
  cData = (BYTE*)&dwNb;

  printf("%s: %.2x-%.2x-%.2x-%.2x\n", szTxt, cData[0], cData[1], cData[2], cData[3]);
}

// ========================================
void main()
{
#if __BYTE_ORDER == __LITTLE_ENDIAN
  printf("__BYTE_ORDER == __LITTLE_ENDIAN\n");
#else
  printf("__BYTE_ORDER != __LITTLE_ENDIAN\n");
#endif

  showNumber(0x01020304, "dwNb1=[0x01020304]");
  showNumber(0x0a0b0c0d, "dwNb2=[0x0a0b0c0d]");
  printf("\n");
}
